Cartouche

Page 1 sur 2 1, 2  Suivant

Voir le sujet précédent Voir le sujet suivant Aller en bas

R?solu Cartouche

Message par flo le Jeu 26 Mai 2011 - 0:22

Bonjour à tous,
J'essai de programmer un cartouche pour mes mises en plan, et je voudrais créer un texte avec écris le nom de la pièce des vues. Pour créer un texte (, ça va, j'ai pas trop de soucis, mais pour le lien avec le part, la je sèche.
Voici le code pour la création du texte :
Code:
Set Legende_texte = collection_textes.Add("Texte",10,10)
Legende_texte.SetFontSize 0, 0, 5


Dernière édition par flo le Ven 18 Nov 2011 - 5:37, édité 1 fois

_________________
i52500K-GTX560TI-8Go
Windows 7 pro x64 - Solidworks 2013 (CATIA V5R20)
avatar
flo
Fédérateur
Fédérateur

Messages : 455
Date d'inscription : 22/01/2011
Age : 27
Localisation : Angers

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par flo le Jeu 26 Mai 2011 - 8:59

De plus, savez vous comment je peut savoir connaitre le format de ma feuille (portrait, paysage, A0 ...) via une macro évidement, pour par exemple l'inserer dans une msgbox.
Il y a un truc de ce genre dans les cartouche CATIA, mais je n'arrive pas à l'adapter.
Code:
Sheet.Orientation = CatPaperPortrait And _
    (Sheet.PaperSize  = CatPaperA0 Or _
      Sheet.PaperSize  = CatPaperA2 Or _
      Sheet.PaperSize  = CatPaperA4) Or _
      Sheet.Orientation = CatPaperLandscape And _
    (Sheet.PaperSize  = CatPaperA1 Or _
      Sheet.PaperSize  = CatPaperA3)

_________________
i52500K-GTX560TI-8Go
Windows 7 pro x64 - Solidworks 2013 (CATIA V5R20)
avatar
flo
Fédérateur
Fédérateur

Messages : 455
Date d'inscription : 22/01/2011
Age : 27
Localisation : Angers

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par gautier2305 le Jeu 26 Mai 2011 - 9:01

Tu as plusieurs pièces dans ton assemblage?car si oui ca va être dur de savoir quelle pièce va dans quelle vue.


_________________

gautier2305
Fédérateur
Fédérateur

Messages : 412
Date d'inscription : 03/09/2010
Age : 31
Localisation : Carvin(62)

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par flo le Jeu 26 Mai 2011 - 9:10

non, en partant du principe (du moins pour le moment) qu'il y a qu'un part d'ouvert, ou mieux, en prenant en compte le lien qu'il y a entre la vue du drawing et la pièce.

_________________
i52500K-GTX560TI-8Go
Windows 7 pro x64 - Solidworks 2013 (CATIA V5R20)
avatar
flo
Fédérateur
Fédérateur

Messages : 455
Date d'inscription : 22/01/2011
Age : 27
Localisation : Angers

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par flo le Ven 27 Mai 2011 - 5:10

bon pour le format de la feuille, c'est bon j'ai trouvé, mais toujours pas pour le lien entre le cartouche et la pièce CAO. Mais voila une autre question, comment insérer via une macro un élément d'une bibliothèque dans mon drawing ?

_________________
i52500K-GTX560TI-8Go
Windows 7 pro x64 - Solidworks 2013 (CATIA V5R20)
avatar
flo
Fédérateur
Fédérateur

Messages : 455
Date d'inscription : 22/01/2011
Age : 27
Localisation : Angers

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par SamsGuamejy le Ven 27 Mai 2011 - 5:54

je crois que j'ai un script qui fais ce genre de manipe... faudra que je trouve la bonne parti ... si je la retrouve je vous tiens au courant Wink

_________________
SamsGuamejy
CATIA V5 R20 Fr
Technicien BE R&D
http://www.arbodomia.fr

I7 Q740 2x1.73GHz _ 8Go Ram _ Win8.1 _ SSD 40Go
avatar
SamsGuamejy
Fédérateur
Fédérateur

Messages : 312
Date d'inscription : 14/09/2010
Age : 33
Localisation : Vendée (85) FRANCE

http://www.arbodomia.fr

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par flo le Ven 27 Mai 2011 - 6:32

ça serai cool, merci

_________________
i52500K-GTX560TI-8Go
Windows 7 pro x64 - Solidworks 2013 (CATIA V5R20)
avatar
flo
Fédérateur
Fédérateur

Messages : 455
Date d'inscription : 22/01/2011
Age : 27
Localisation : Angers

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par gautier2305 le Ven 27 Mai 2011 - 7:38

Voici quelques bouts de code qui pourront surement t'aider. Par contre je n'ai pas Catia ici donc je ne peux pas tester.

Pour rechercher la Part ouverte dans catia quand tu n'en n'as qu'une:

toto = CATIA.Documents.Count
Code:
For j = 1 to toto
   If right(CATIA.Documents.Item(j).Name,8) = ".CATPart" Then
      Set partDocument1 = CATIA.Documents.Item(j)
      j = toto
        Else
        Msgbox "Vous n'avez pas de Catpart ouverte", 32 ,"ERREUR"
      End If
   Next

CElle ci est normalement fait pour renommer le PartNumber(Nom dans Catia) en fonction du PartName(Nom dans windoxs)

Code:
Dim partDocument1 As Document
Set partDocument1 = CATIA.ActiveDocument

Dim product1 As CATBaseDispatch
Set product1 = partDocument1.GetItem("1")

i = partDocument1.Name
k = left(i,(len(i)-8))

product1.PartNumber = k

Et enfin un bout de code pour créer une zone de texte avec à l’intérieur un texte entré en InputBox juste avant.
Code:

A=InputBox("Veuillez indiquer votre texte à insérer", "SketchText" , "Entrer votre texte ici" )

'__________________________________________________________

'_____CREATION DRAWING


Dim documents1 As Documents
Set documents1 = CATIA.Documents

Dim drawingDocument1 As Document
Set drawingDocument1 = documents1.Add("Drawing")


'__________________________________________________________

'_____INSERTION ZONE DE TEXTE


Set drawingDocument1 = CATIA.ActiveDocument

Set drawingSheets1 = drawingDocument1.Sheets

Set drawingSheet1 = drawingSheets1.Item("Sheet.1")

Set drawingViews1 = drawingSheet1.Views

Set drawingView1 = drawingViews1.Item("Main View")

Dim Texts6 As DrawingTexts

Set Texts6 = drawingView1.Texts

Dim Text7 As DrawingText

Set Text7 = Texts6.Add(A, 0, 0)

En compilant tout ca tu devrais t'en sortir facilement Wink

Désolé de ne pas pouvoir faire plus Embarassed

_________________

gautier2305
Fédérateur
Fédérateur

Messages : 412
Date d'inscription : 03/09/2010
Age : 31
Localisation : Carvin(62)

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par flo le Ven 27 Mai 2011 - 8:59

merci beaucoup, j'essaie ça dès que possible et je te tien au courant.

_________________
i52500K-GTX560TI-8Go
Windows 7 pro x64 - Solidworks 2013 (CATIA V5R20)
avatar
flo
Fédérateur
Fédérateur

Messages : 455
Date d'inscription : 22/01/2011
Age : 27
Localisation : Angers

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par flo le Ven 27 Mai 2011 - 21:10

J'ai fait une petite recherche sur les fonction qui pourrait mettre utile pour connaitre le lien entre le drawing et la pièce 3D, mais je n'arrive pas à les utiliser alors si vous connaissez, votre aide sera précieuse :
DrawingViewGenerativeLinks et AnalysisLinkedDocuments

_________________
i52500K-GTX560TI-8Go
Windows 7 pro x64 - Solidworks 2013 (CATIA V5R20)
avatar
flo
Fédérateur
Fédérateur

Messages : 455
Date d'inscription : 22/01/2011
Age : 27
Localisation : Angers

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par Tétras-Mobile le Ven 27 Mai 2011 - 21:52

Bonjour,
J'ai une macro que m'a développé la hotline qui me permet de générer mes cartouches en fonction du format, de l'orientation de la feuille et des paramètres de la pièce ou produit mis en plan. Je peux te faire passer ma macro pour l'adapter à ton besoin. Wink

_________________
Bonne journée

Stéphane  drunken
CATIA V5 R20 SP5
Recherche de l'aide pour un projet porteur
avatar
Tétras-Mobile
actif
actif

Messages : 272
Date d'inscription : 30/11/2010
Age : 48
Localisation : THYEZ-74

http://www.vtt-decouverte.net/

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par Threedots le Ven 27 Mai 2011 - 22:05

O_o

Moi ça m'intéresse drolement cette macro de cartouche !
J'ai cherché pendant longtemps et n'ai pu trouver qu'une solution peu convaincante...

Sinon flo, désolé mais je ne suis pas encore allé aussi loin dans les macros pour t'aider...
avatar
Threedots
Fédérateur
Fédérateur

Messages : 617
Date d'inscription : 16/09/2010
Age : 29
Localisation : Toulouse

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par flo le Ven 27 Mai 2011 - 23:23

oh oui ca m'intéresse, parce que j'ai reussis avec l'aide du code de gautier2305 a aller chercher le nom de la pièce et de le copier dans un text de mon drawing, mais c'est pas top du tout, et faut qu'il y ai qu'une seule part d'ouverte.

_________________
i52500K-GTX560TI-8Go
Windows 7 pro x64 - Solidworks 2013 (CATIA V5R20)
avatar
flo
Fédérateur
Fédérateur

Messages : 455
Date d'inscription : 22/01/2011
Age : 27
Localisation : Angers

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par Tétras-Mobile le Ven 27 Mai 2011 - 23:32

Dès que j'ai un peu de temps je met tout ça sur mon compte google.

_________________
Bonne journée

Stéphane  drunken
CATIA V5 R20 SP5
Recherche de l'aide pour un projet porteur
avatar
Tétras-Mobile
actif
actif

Messages : 272
Date d'inscription : 30/11/2010
Age : 48
Localisation : THYEZ-74

http://www.vtt-decouverte.net/

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par flo le Sam 28 Mai 2011 - 0:29

ok, merci bcp

_________________
i52500K-GTX560TI-8Go
Windows 7 pro x64 - Solidworks 2013 (CATIA V5R20)
avatar
flo
Fédérateur
Fédérateur

Messages : 455
Date d'inscription : 22/01/2011
Age : 27
Localisation : Angers

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par mouldman le Dim 29 Mai 2011 - 0:55

salut flo

ton sujet m'intereste beaucoup, j'ai deja reussi a personnaliser mon cartouche (Voir ancien sujet poster sous rubrique Drafting).

mais j'aimerai recuperer d'autre info de mon fichier CAO genre matiere,debit).

bon courage.
avatar
mouldman
actif
actif

Messages : 27
Date d'inscription : 06/02/2011
Localisation : nantes(44)

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par flo le Dim 29 Mai 2011 - 1:44

pour la matière, voila ce que j'ai, mais j'ai le même problème que précédement : il va chercher la matière dans la part ouverte, donc si tu ouvre une part différente du drawing, il va aller chercher la mauvaise matière.
Code:
Set partDocument1 = CATIA.ActiveDocument
Set product1 = partDocument1.GetItem("Part1")
Set product1 = product1.ReferenceProduct
Set part1 = partDocument1.Part

Set parameters1 = part1.Parameters
Set MM = parameters1.Item("Part1\Matériau")
M = MM.value
Set product1 = product1.ReferenceProduct

Matiere = InputBox ("Quelle est la matière de votre pièce?","SketchText" ,M)
If (Matiere = "") Then
Matiere = "-"
End If
Set Legende_texte = collection_textes.Add(Matiere,133.179 + TH,45.702)
Legende_texte.SetFontSize 0, 0, 2

_________________
i52500K-GTX560TI-8Go
Windows 7 pro x64 - Solidworks 2013 (CATIA V5R20)
avatar
flo
Fédérateur
Fédérateur

Messages : 455
Date d'inscription : 22/01/2011
Age : 27
Localisation : Angers

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par Tétras-Mobile le Lun 30 Mai 2011 - 23:31

Bonjour,
Voilà j'ai crée le lien vers la macro dont je vous ai parlé. A télécharger ICI.
Si jamais il manque qq chose, demandez moi.
Bon courage pour la modif. Wink


Dernière édition par Tétras-Mobile le Mar 31 Mai 2011 - 20:52, édité 1 fois

_________________
Bonne journée

Stéphane  drunken
CATIA V5 R20 SP5
Recherche de l'aide pour un projet porteur
avatar
Tétras-Mobile
actif
actif

Messages : 272
Date d'inscription : 30/11/2010
Age : 48
Localisation : THYEZ-74

http://www.vtt-decouverte.net/

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par SamsGuamejy le Mar 31 Mai 2011 - 0:11

Perfect Stéphane ! Wink

_________________
SamsGuamejy
CATIA V5 R20 Fr
Technicien BE R&D
http://www.arbodomia.fr

I7 Q740 2x1.73GHz _ 8Go Ram _ Win8.1 _ SSD 40Go
avatar
SamsGuamejy
Fédérateur
Fédérateur

Messages : 312
Date d'inscription : 14/09/2010
Age : 33
Localisation : Vendée (85) FRANCE

http://www.arbodomia.fr

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par Tétras-Mobile le Mar 31 Mai 2011 - 0:43

Dit moi si ça marche bien chez toi. Wink

_________________
Bonne journée

Stéphane  drunken
CATIA V5 R20 SP5
Recherche de l'aide pour un projet porteur
avatar
Tétras-Mobile
actif
actif

Messages : 272
Date d'inscription : 30/11/2010
Age : 48
Localisation : THYEZ-74

http://www.vtt-decouverte.net/

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par flo le Mar 31 Mai 2011 - 9:28

merci beaucoup, je regarde ca pour l'adapter, mais en tout cas, sa va beaucoup aider, merci.

_________________
i52500K-GTX560TI-8Go
Windows 7 pro x64 - Solidworks 2013 (CATIA V5R20)
avatar
flo
Fédérateur
Fédérateur

Messages : 455
Date d'inscription : 22/01/2011
Age : 27
Localisation : Angers

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par Threedots le Mar 31 Mai 2011 - 20:20

Vrai !

Merci Stéphane, une bonne source d'inspiration pour moi. Je n'avais trouvé aucune solution en Catvba... Un seul en Catscript, et du coup j'avais du mal à le gérer...

Stéphane = king
avatar
Threedots
Fédérateur
Fédérateur

Messages : 617
Date d'inscription : 16/09/2010
Age : 29
Localisation : Toulouse

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par Tétras-Mobile le Mar 31 Mai 2011 - 20:26

C'est pas moi le king c'est la hot line qui m'a fait cette macro.

_________________
Bonne journée

Stéphane  drunken
CATIA V5 R20 SP5
Recherche de l'aide pour un projet porteur
avatar
Tétras-Mobile
actif
actif

Messages : 272
Date d'inscription : 30/11/2010
Age : 48
Localisation : THYEZ-74

http://www.vtt-decouverte.net/

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par mouldman le Jeu 2 Juin 2011 - 21:17

merci tetras-mobile
je vais essayer adapter ton code pour mon cartouche

cheers
avatar
mouldman
actif
actif

Messages : 27
Date d'inscription : 06/02/2011
Localisation : nantes(44)

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par mouldman le Dim 26 Juin 2011 - 3:15

bonjour,
j'ai essayé d'adapter ton code mais n'etant pas expert je suis un peu(voir beaucoup)perdu.
serai t'il possible de m'ecrite un script exploitable pour recuperer les info du fichier 3d (pour les proprietes ajouter ?
merci.
avatar
mouldman
actif
actif

Messages : 27
Date d'inscription : 06/02/2011
Localisation : nantes(44)

Revenir en haut Aller en bas

R?solu Re: Cartouche

Message par Contenu sponsorisé


Contenu sponsorisé


Revenir en haut Aller en bas

Page 1 sur 2 1, 2  Suivant

Voir le sujet précédent Voir le sujet suivant Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum